// UnmanagedCpp.cpp : Defines the entry point for the DLL application.
//

#include "stdafx.h"


#ifdef _MANAGED
#pragma managed(push, off)
#endif

BOOL APIENTRY DllMain( HMODULE hModule,
                       DWORD  ul_reason_for_call,
                       LPVOID lpReserved
					 )
{
    return TRUE;
}


extern "C" __declspec( dllexport ) int ComError()
{
	throw 0x81234567;
}


#ifdef _MANAGED
#pragma managed(pop)
#endif

